Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.aegis.type
Class AbstractTypeCreator

    java.lang.Object
      org.codehaus.xfire.aegis.type.AbstractTypeCreator

All Implemented Interfaces:
  TypeCreator

Direct Known Subclasses:
  DefaultTypeCreator, Java5TypeCreator, XMLTypeCreator

    public abstract class AbstractTypeCreator

extends java.lang.Object
implements TypeCreator

Author:
  Hani Suleiman Date: Jun 14, 2005 Time: 11:59:57 PM

Nested Class Summary
`static class` | `AbstractTypeCreator.TypeClassInfo`

Field Summary
`protected AbstractTypeCreator` | `nextCreator`
`protected TypeMapping` | `tm`

Constructor Summary
`AbstractTypeCreator()`

Method Summary
`protected javax.xml.namespace.QName` | `createArrayQName(java.lang.Class javaType)`
`protected Type` | `createArrayType(AbstractTypeCreator.TypeClassInfo info)`
`protected AbstractTypeCreator.TypeClassInfo` | `createBasicClassInfo(java.lang.Class typeClass)`
`protected AbstractTypeCreator.TypeClassInfo` | `createClassInfo(java.lang.reflect.Field f)`
`abstract AbstractTypeCreator.TypeClassInfo` | `createClassInfo(java.lang.reflect.Method m, int index)`
`abstract AbstractTypeCreator.TypeClassInfo` | `createClassInfo(java.beans.PropertyDescriptor pd)`
`protected javax.xml.namespace.QName` | `createCollectionQName(java.lang.Class javaType, java.lang.Class componentType)`
`abstract Type` | `createCollectionType(AbstractTypeCreator.TypeClassInfo info)`
`protected Type` | `createCollectionType(AbstractTypeCreator.TypeClassInfo info, java.lang.Class component)`
`abstract Type` | `createDefaultType(AbstractTypeCreator.TypeClassInfo info)`
`Type` | `createEnumType(AbstractTypeCreator.TypeClassInfo info)`
`protected javax.xml.namespace.QName` | `createMapQName(java.lang.Class keyClass, java.lang.Class componentClass)`
`protected Type` | `createMapType(AbstractTypeCreator.TypeClassInfo info)`
`protected javax.xml.namespace.QName` | `createQName(java.lang.Class javaType)`
`Type` | `createType(java.lang.Class clazz)`
`Type` | `createType(java.lang.reflect.Field f)` Create type information for a `Field`.
`Type` | `createType(java.lang.reflect.Method m, int index)` Create a Type for a Method parameter.
`Type` | `createType(java.beans.PropertyDescriptor pd)` Create type information for a PropertyDescriptor.
`protected Type` | `createTypeForClass(AbstractTypeCreator.TypeClassInfo info)`
`protected Type` | `createUserType(AbstractTypeCreator.TypeClassInfo info)`
`TypeMapping` | `getTypeMapping()`
`protected boolean` | `isCollection(java.lang.Class javaType)`
`protected boolean` | `isEnum(java.lang.Class javaType)`
`protected boolean` | `isMap(java.lang.Class javaType)`
`void` | `setNextCreator(AbstractTypeCreator creator)`
`void` | `setTypeMapping(TypeMapping typeMapping)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tm

    protected TypeMapping tm

### nextCreator

    protected AbstractTypeCreator nextCreator

Constructor Detail

### AbstractTypeCreator

    public AbstractTypeCreator()

Method Detail

### getTypeMapping

    public TypeMapping getTypeMapping()

### setTypeMapping

    public void setTypeMapping(TypeMapping typeMapping)

  Specified by:
    `setTypeMapping` in interface `TypeCreator`

### setNextCreator

    public void setNextCreator(AbstractTypeCreator creator)

### createClassInfo

    protected AbstractTypeCreator.TypeClassInfo createClassInfo(java.lang.reflect.Field f)

### createBasicClassInfo

    protected AbstractTypeCreator.TypeClassInfo createBasicClassInfo(java.lang.Class typeClass)

### createTypeForClass

    protected Type createTypeForClass(AbstractTypeCreator.TypeClassInfo info)

### createUserType

    protected Type createUserType(AbstractTypeCreator.TypeClassInfo info)

### createArrayQName

    protected javax.xml.namespace.QName createArrayQName(java.lang.Class javaType)

### createArrayType

    protected Type createArrayType(AbstractTypeCreator.TypeClassInfo info)

### createQName

    protected javax.xml.namespace.QName createQName(java.lang.Class javaType)

### isCollection

    protected boolean isCollection(java.lang.Class javaType)

### createCollectionType

    protected Type createCollectionType(AbstractTypeCreator.TypeClassInfo info,
                                        java.lang.Class component)

### createMapType

    protected Type createMapType(AbstractTypeCreator.TypeClassInfo info)

### createMapQName

    protected javax.xml.namespace.QName createMapQName(java.lang.Class keyClass,
                                                       java.lang.Class componentClass)

### isMap

    protected boolean isMap(java.lang.Class javaType)

### createClassInfo

    public abstract AbstractTypeCreator.TypeClassInfo createClassInfo(java.beans.PropertyDescriptor pd)

### isEnum

    protected boolean isEnum(java.lang.Class javaType)

### createEnumType

    public Type createEnumType(AbstractTypeCreator.TypeClassInfo info)

### createCollectionType

    public abstract Type createCollectionType(AbstractTypeCreator.TypeClassInfo info)

### createDefaultType

    public abstract Type createDefaultType(AbstractTypeCreator.TypeClassInfo info)

### createCollectionQName

    protected javax.xml.namespace.QName createCollectionQName(java.lang.Class javaType,
                                                              java.lang.Class componentType)

### createClassInfo

    public abstract AbstractTypeCreator.TypeClassInfo createClassInfo(java.lang.reflect.Method m,
                                                                      int index)

### createType

    public Type createType(java.lang.reflect.Method m,
                           int index)

  Create a Type for a Method parameter.

  Specified by:
    `createType` in interface `TypeCreator`
  Parameters:
    `m` - the method to create a type for
    `index` - The parameter index. If the index is less than zero, the return type is used.

### createType

    public Type createType(java.beans.PropertyDescriptor pd)

  Create type information for a PropertyDescriptor.

  Specified by:
    `createType` in interface `TypeCreator`
  Parameters:
    `pd` - the propertydescriptor

### createType

    public Type createType(java.lang.reflect.Field f)

  Create type information for a `Field`.

  Specified by:
    `createType` in interface `TypeCreator`
  Parameters:
    `f` - the field to create a type from

### createType

    public Type createType(java.lang.Class clazz)

  Specified by:
    `createType` in interface `TypeCreator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.